TileImagePreparer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Interface TileImagePreparer

All Known Implementing Classes:
  GreyscaleImagePreparer, StandardImagePreparer

    public interface TileImagePreparer

TODO: Describe the TileImagePreparer interface class here.

Author:
  dietrick

Method Summary
`void` | `prepareForEmptyTile(MapTileFactory factory)` Sometimes, based on the color handling of the preparer, empty tiles need to be handled differently.
`java.awt.image.BufferedImage` | `preprocessImage(java.awt.Image origImage, int imageWidth, int imageHeight)` Method called to manipulate provided image in some way, returning modified image.

Method Detail

### prepareForEmptyTile

    void prepareForEmptyTile(MapTileFactory factory)

  Sometimes, based on the color handling of the preparer, empty tiles need to be handled differently.

  Parameters:
    `factory` - used to make calls on the factory to prepare for empty tile fetch.

### preprocessImage

    java.awt.image.BufferedImage preprocessImage(java.awt.Image origImage,
                                                 int imageWidth,
                                                 int imageHeight)
                                                 throws java.lang.InterruptedException

  Method called to manipulate provided image in some way, returning modified image.

  Parameters:
    `origImage` - Any java Image
    `imageWidth` - pixel width
    `imageHeight` - pixel height
  Returns:
    BufferedImage with any changes necessary.
  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details